hpp-manipulation-urdf: hpp::manipulation::parser::Parser Class Reference

hpp-manipulation-urdf 9.0.2 Implementation of a parser for hpp-manipulation.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::manipulation::parser::Parser Class Reference

Parse an XML document. More...

`#include <hpp/manipulation/parser/parser.hh>`

## Public Types
typedef ObjectFactory *(* | FactoryType) (ObjectFactory *, const XMLElement *)
typedef ObjectFactory::ObjectFactoryList | ObjectFactoryList

## Public Member Functions
| Parser (bool fillWithDefaultFactories=true, FactoryType defaultFactory=create< ObjectFactory >)
| ~Parser ()
void | addObjectFactory (const std::string &tagname, FactoryType factory)
void | parseString (const std::string &xmlString, DevicePtr_t robot)
void | parseFile (const std::string &filename, DevicePtr_t robot)
const ObjectFactoryList & | objectFactories () const
void | prefix (const std::string &prefix)
| Set the prefix of all joints.

## Detailed Description

Parse an XML document.

This class uses the tinyXML library and derived classes of ObjectFactory to build object from an XML document. To extend its capabilities, see ObjectFactory.

## Member Typedef Documentation

## ◆ FactoryType

typedef ObjectFactory *(* hpp::manipulation::parser::Parser::FactoryType) (ObjectFactory *, const XMLElement *)

## ◆ ObjectFactoryList

typedef ObjectFactory::ObjectFactoryList hpp::manipulation::parser::Parser::ObjectFactoryList

## Constructor & Destructor Documentation

## ◆ Parser()

hpp::manipulation::parser::Parser::Parser | ( | bool | fillWithDefaultFactories = true,
|  | FactoryType | defaultFactory = create< ObjectFactory > )

Constructor

Parameters

  fillWithDefaultFactories | Set to true if you want to insert the default factories. If set to false, the created instance will have no factories.
  defaultFactory | The factory used when a tag is not know.

## ◆ ~Parser()

hpp::manipulation::parser::Parser::~Parser | ( |  | ) |

## Member Function Documentation

## ◆ addObjectFactory()

void hpp::manipulation::parser::Parser::addObjectFactory | ( | const std::string & | tagname,
|  | FactoryType | factory )

## ◆ objectFactories()

const ObjectFactoryList & hpp::manipulation::parser::Parser::objectFactories | ( |  | ) | const
| inline

## ◆ parseFile()

void hpp::manipulation::parser::Parser::parseFile | ( | const std::string & | filename,
|  | DevicePtr_t | robot )

## ◆ parseString()

void hpp::manipulation::parser::Parser::parseString | ( | const std::string & | xmlString,
|  | DevicePtr_t | robot )

## ◆ prefix()

void hpp::manipulation::parser::Parser::prefix | ( | const std::string & | prefix | ) |
| inline

Set the prefix of all joints.

The documentation for this class was generated from the following file:

- include/hpp/manipulation/parser/parser.hh